Bug 69170 - Showing backtraces of method with very deep stack performs terribly
Showing backtraces of method with very deep stack performs terribly
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
5.x
All All
: P4 (vote)
: 6.x
Assigned To: issues@profiler
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 11:04 UTC by iformanek
Modified: 2009-04-17 19:52 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Snapshot (527.65 KB, application/octet-stream)
2005-11-23 11:09 UTC, iformanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description iformanek 2005-11-23 11:04:27 UTC
Showing backtraces of method with very deep stack performs terribly.

Sample snapshot is attached. To reproduce invoke Show BackTraces on method rec.
Subsequent collapse/expand on the tree are also very expensive.
Comment 1 iformanek 2005-11-23 11:09:53 UTC
Created attachment 27189 [details]
Snapshot
Comment 2 iformanek 2005-12-08 18:53:48 UTC
Will not address in 1.0
Comment 3 Tomas Hurka 2007-09-11 12:33:26 UTC
Reproduced with 6.0 beta1.
Comment 4 Jiri Sedlacek 2009-04-15 18:29:16 UTC
Reproduced with 6.7 M3. But this is quite an artificial case which doesn't occur for typical snapshots. No similar
problems were reported by users => lowering priority.
Comment 5 Jiri Sedlacek 2009-04-16 13:31:31 UTC
Fixed by limiting maximum number of automatically expanded lines to 50:


changeset:   126983:ea6798b45127
user:        Jiri Sedlacek <jis@netbeans.org>
date:        Thu Apr 16 14:28:11 2009 +0200
summary:     Bugfix #69170 - limit automatic tree expansion depth
Comment 6 Quality Engineering 2009-04-17 19:52:44 UTC
Integrated into 'main-golden', will be available in build *200904171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ea6798b45127
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #69170 - limit automatic tree expansion depth


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo